import{S as qp,i as Op,s as zp,e as o,k as l,w as g,t as s,M as Np,c as i,d as n,m as p,a,x as u,h as r,b as c,G as e,g as f,y as h,q as _,o as b,B as v,v as Mp,L as vi}from"../../../chunks/vendor-hf-doc-builder.js";import{D as k}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as Te}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as Se}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as bi}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Fp(M){let I,U,C,P,E;return P=new Te({props:{code:`import torch
from diffusers import StableUnCLIPPipeline

pipe = StableUnCLIPPipeline.from_pretrained(
    "fusing/stable-unclip-2-1-l", torch_dtype=torch.float16
)  # TODO update model path
pipe = pipe.to("cuda")

prompt = "a photo of an astronaut riding a horse on mars"
images = pipe(prompt).images
images[0].save("astronaut_horse.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableUnCLIPPipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = StableUnCLIPPipeline.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;fusing/stable-unclip-2-1-l&quot;</span>, torch_dtype=torch.float16
<span class="hljs-meta">... </span>)  <span class="hljs-comment"># TODO update model path</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;a photo of an astronaut riding a horse on mars&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>images = pipe(prompt).images
<span class="hljs-meta">&gt;&gt;&gt; </span>images[<span class="hljs-number">0</span>].save(<span class="hljs-string">&quot;astronaut_horse.png&quot;</span>)`}}),{c(){I=o("p"),U=s("Examples:"),C=l(),g(P.$$.fragment)},l(d){I=i(d,"P",{});var y=a(I);U=r(y,"Examples:"),y.forEach(n),C=p(d),u(P.$$.fragment,d)},m(d,y){f(d,I,y),e(I,U),f(d,C,y),h(P,d,y),E=!0},p:vi,i(d){E||(_(P.$$.fragment,d),E=!0)},o(d){b(P.$$.fragment,d),E=!1},d(d){d&&n(I),d&&n(C),v(P,d)}}}function Vp(M){let I,U,C,P,E;return P=new Te({props:{code:`import torch
from diffusers import DiffusionPipeline
from xformers.ops import MemoryEfficientAttentionFlashAttentionOp

pipe = DiffusionPipeline.from_pretrained("stabilityai/stable-diffusion-2-1", torch_dtype=torch.float16)
pipe = pipe.to("cuda")
pipe.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)
# Workaround for not accepting attention shape using VAE for Flash Attention
pipe.vae.enable_xformers_memory_efficient_attention(attention_op=None)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> xformers.ops <span class="hljs-keyword">import</span> MemoryEfficientAttentionFlashAttentionOp

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = DiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;stabilityai/stable-diffusion-2-1&quot;</span>, torch_dtype=torch.float16)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Workaround for not accepting attention shape using VAE for Flash Attention</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.vae.enable_xformers_memory_efficient_attention(attention_op=<span class="hljs-literal">None</span>)`}}),{c(){I=o("p"),U=s("Examples:"),C=l(),g(P.$$.fragment)},l(d){I=i(d,"P",{});var y=a(I);U=r(y,"Examples:"),y.forEach(n),C=p(d),u(P.$$.fragment,d)},m(d,y){f(d,I,y),e(I,U),f(d,C,y),h(P,d,y),E=!0},p:vi,i(d){E||(_(P.$$.fragment,d),E=!0)},o(d){b(P.$$.fragment,d),E=!1},d(d){d&&n(I),d&&n(C),v(P,d)}}}function Gp(M){let I,U,C,P,E;return P=new Te({props:{code:`import requests
import torch
from PIL import Image
from io import BytesIO

from diffusers import StableUnCLIPImg2ImgPipeline

pipe = StableUnCLIPImg2ImgPipeline.from_pretrained(
    "fusing/stable-unclip-2-1-l-img2img", torch_dtype=torch.float16
)  # TODO update model path
pipe = pipe.to("cuda")

url = "https://raw.githubusercontent.com/CompVis/stable-diffusion/main/assets/stable-samples/img2img/sketch-mountains-input.jpg"

response = requests.get(url)
init_image = Image.open(BytesIO(response.content)).convert("RGB")
init_image = init_image.resize((768, 512))

prompt = "A fantasy landscape, trending on artstation"

images = pipe(prompt, init_image).images
images[0].save("fantasy_landscape.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> io <span class="hljs-keyword">import</span> BytesIO

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableUnCLIPImg2ImgPipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = StableUnCLIPImg2ImgPipeline.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;fusing/stable-unclip-2-1-l-img2img&quot;</span>, torch_dtype=torch.float16
<span class="hljs-meta">... </span>)  <span class="hljs-comment"># TODO update model path</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;https://raw.githubusercontent.com/CompVis/stable-diffusion/main/assets/stable-samples/img2img/sketch-mountains-input.jpg&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>response = requests.get(url)
<span class="hljs-meta">&gt;&gt;&gt; </span>init_image = Image.<span class="hljs-built_in">open</span>(BytesIO(response.content)).convert(<span class="hljs-string">&quot;RGB&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>init_image = init_image.resize((<span class="hljs-number">768</span>, <span class="hljs-number">512</span>))

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;A fantasy landscape, trending on artstation&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>images = pipe(prompt, init_image).images
<span class="hljs-meta">&gt;&gt;&gt; </span>images[<span class="hljs-number">0</span>].save(<span class="hljs-string">&quot;fantasy_landscape.png&quot;</span>)`}}),{c(){I=o("p"),U=s("Examples:"),C=l(),g(P.$$.fragment)},l(d){I=i(d,"P",{});var y=a(I);U=r(y,"Examples:"),y.forEach(n),C=p(d),u(P.$$.fragment,d)},m(d,y){f(d,I,y),e(I,U),f(d,C,y),h(P,d,y),E=!0},p:vi,i(d){E||(_(P.$$.fragment,d),E=!0)},o(d){b(P.$$.fragment,d),E=!1},d(d){d&&n(I),d&&n(C),v(P,d)}}}function Wp(M){let I,U,C,P,E;return P=new Te({props:{code:`import torch
from diffusers import DiffusionPipeline
from xformers.ops import MemoryEfficientAttentionFlashAttentionOp

pipe = DiffusionPipeline.from_pretrained("stabilityai/stable-diffusion-2-1", torch_dtype=torch.float16)
pipe = pipe.to("cuda")
pipe.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)
# Workaround for not accepting attention shape using VAE for Flash Attention
pipe.vae.enable_xformers_memory_efficient_attention(attention_op=None)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> xformers.ops <span class="hljs-keyword">import</span> MemoryEfficientAttentionFlashAttentionOp

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = DiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;stabilityai/stable-diffusion-2-1&quot;</span>, torch_dtype=torch.float16)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Workaround for not accepting attention shape using VAE for Flash Attention</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.vae.enable_xformers_memory_efficient_attention(attention_op=<span class="hljs-literal">None</span>)`}}),{c(){I=o("p"),U=s("Examples:"),C=l(),g(P.$$.fragment)},l(d){I=i(d,"P",{});var y=a(I);U=r(y,"Examples:"),y.forEach(n),C=p(d),u(P.$$.fragment,d)},m(d,y){f(d,I,y),e(I,U),f(d,C,y),h(P,d,y),E=!0},p:vi,i(d){E||(_(P.$$.fragment,d),E=!0)},o(d){b(P.$$.fragment,d),E=!1},d(d){d&&n(I),d&&n(C),v(P,d)}}}function Kp(M){let I,U,C,P,E,d,y,Ht,Pi,ho,re,Ii,Ut,yi,$i,_o,St,wi,bo,Ae,De,Ci,xi,vo,Y,le,Rt,je,Li,Jt,Ei,Po,A,ki,Qt,Ui,Si,Xt,Ti,Ai,Yt,Di,ji,Zt,qi,Oi,Io,Z,pe,en,qe,zi,tn,Ni,yo,de,Tt,Mi,Oe,nn,ze,Fi,Vi,on,Ne,Gi,Wi,At,Ki,an,sn,Bi,$o,ee,ce,rn,Me,Hi,ln,Ri,wo,Dt,Ji,Co,te,me,pn,Fe,Qi,dn,Xi,xo,Ve,Lo,fe,Yi,cn,Zi,ea,Eo,Ge,ko,ne,ge,mn,We,ta,fn,na,Uo,jt,oa,So,Ke,To,qt,ia,Ao,Be,Do,oe,ue,gn,He,aa,un,sa,jo,$,Re,ra,hn,la,pa,Je,da,Ot,ca,ma,fa,F,Qe,ga,_n,ua,ha,he,_a,V,Xe,ba,bn,va,Pa,vn,Ia,ya,_e,Ye,$a,Ze,wa,Pn,Ca,xa,La,G,et,Ea,In,ka,Ua,yn,Sa,Ta,be,tt,Aa,nt,Da,$n,ja,qa,Oa,D,ot,za,wn,Na,Ma,Cn,Fa,Va,xn,Ga,Wa,ve,Ka,Pe,it,Ba,Ln,Ha,Ra,Ie,at,Ja,q,Qa,En,Xa,Ya,kn,Za,es,Un,ts,ns,Sn,os,is,as,ye,st,ss,rt,rs,Tn,ls,ps,ds,S,lt,cs,ie,ms,An,fs,gs,Dn,us,hs,_s,jn,bs,vs,pt,qn,Ps,Is,On,ys,$s,dt,ws,zn,Cs,xs,Ls,Nn,Es,qo,ae,$e,Mn,ct,ks,Fn,Us,Oo,w,mt,Ss,Vn,Ts,As,ft,Ds,zt,js,qs,Os,W,gt,zs,Gn,Ns,Ms,we,Fs,K,ut,Vs,Wn,Gs,Ws,Kn,Ks,Bs,Ce,ht,Hs,_t,Rs,Bn,Js,Qs,Xs,B,bt,Ys,Hn,Zs,er,Rn,tr,nr,xe,vt,or,Pt,ir,Jn,ar,sr,rr,j,It,lr,Qn,pr,dr,Xn,cr,mr,Yn,fr,gr,Le,ur,Ee,yt,hr,Zn,_r,br,ke,$t,vr,O,Pr,eo,Ir,yr,to,$r,wr,no,Cr,xr,oo,Lr,Er,kr,Ue,wt,Ur,Ct,Sr,io,Tr,Ar,Dr,T,xt,jr,se,qr,ao,Or,zr,so,Nr,Mr,Fr,ro,Vr,Gr,Lt,lo,Wr,Kr,po,Br,Hr,Et,Rr,co,Jr,Qr,Xr,mo,Yr,zo;return d=new Se({}),je=new Se({}),qe=new Se({}),Me=new Se({}),Fe=new Se({}),Ve=new Te({props:{code:`from diffusers import StableUnCLIPImg2ImgPipeline
from diffusers.utils import load_image
import torch

pipe = StableUnCLIPImg2ImgPipeline.from_pretrained(
    "stabilityai/stable-diffusion-2-1-unclip", torch_dtype=torch.float16, variation="fp16"
)
pipe = pipe.to("cuda")

url = "https://huggingface.co/datasets/hf-internal-testing/diffusers-images/resolve/main/stable_unclip/tarsila_do_amaral.png"
init_image = load_image(url)

images = pipe(init_image).images
images[0].save("variation_image.png")`,highlighted:`<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableUnCLIPImg2ImgPipeline
<span class="hljs-keyword">from</span> diffusers.utils <span class="hljs-keyword">import</span> load_image
<span class="hljs-keyword">import</span> torch

pipe = StableUnCLIPImg2ImgPipeline.from_pretrained(
    <span class="hljs-string">&quot;stabilityai/stable-diffusion-2-1-unclip&quot;</span>, torch_dtype=torch.float16, variation=<span class="hljs-string">&quot;fp16&quot;</span>
)
pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

url = <span class="hljs-string">&quot;https://huggingface.co/datasets/hf-internal-testing/diffusers-images/resolve/main/stable_unclip/tarsila_do_amaral.png&quot;</span>
init_image = load_image(url)

images = pipe(init_image).images
images[<span class="hljs-number">0</span>].save(<span class="hljs-string">&quot;variation_image.png&quot;</span>)`}}),Ge=new Te({props:{code:`prompt = "A fantasy landscape, trending on artstation"

images = pipe(init_image, prompt=prompt).images
images[0].save("variation_image_two.png")`,highlighted:`prompt = <span class="hljs-string">&quot;A fantasy landscape, trending on artstation&quot;</span>

images = pipe(init_image, prompt=prompt).images
images[<span class="hljs-number">0</span>].save(<span class="hljs-string">&quot;variation_image_two.png&quot;</span>)`}}),We=new Se({}),Ke=new Te({props:{code:`from diffusers import StableUnCLIPImg2ImgPipeline
from diffusers.utils import load_image
import torch

pipe = StableUnCLIPImg2ImgPipeline.from_pretrained(
    "stabilityai/stable-diffusion-2-1-unclip", torch_dtype=torch.float16, variation="fp16"
)
# Offload to CPU.
pipe.enable_model_cpu_offload()

url = "https://huggingface.co/datasets/hf-internal-testing/diffusers-images/resolve/main/stable_unclip/tarsila_do_amaral.png"
init_image = load_image(url)

images = pipe(init_image).images
images[0]`,highlighted:`<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableUnCLIPImg2ImgPipeline
<span class="hljs-keyword">from</span> diffusers.utils <span class="hljs-keyword">import</span> load_image
<span class="hljs-keyword">import</span> torch

pipe = StableUnCLIPImg2ImgPipeline.from_pretrained(
    <span class="hljs-string">&quot;stabilityai/stable-diffusion-2-1-unclip&quot;</span>, torch_dtype=torch.float16, variation=<span class="hljs-string">&quot;fp16&quot;</span>
)
<span class="hljs-comment"># Offload to CPU.</span>
pipe.enable_model_cpu_offload()

url = <span class="hljs-string">&quot;https://huggingface.co/datasets/hf-internal-testing/diffusers-images/resolve/main/stable_unclip/tarsila_do_amaral.png&quot;</span>
init_image = load_image(url)

images = pipe(init_image).images
images[<span class="hljs-number">0</span>]`}}),Be=new Te({props:{code:`from diffusers import StableUnCLIPImg2ImgPipeline
from diffusers.utils import load_image
import torch

pipe = StableUnCLIPImg2ImgPipeline.from_pretrained(
    "stabilityai/stable-diffusion-2-1-unclip", torch_dtype=torch.float16, variation="fp16"
)
pipe.enable_model_cpu_offload()
pipe.enable_vae_slicing()

url = "https://huggingface.co/datasets/hf-internal-testing/diffusers-images/resolve/main/stable_unclip/tarsila_do_amaral.png"
init_image = load_image(url)

images = pipe(init_image).images
images[0]`,highlighted:`<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableUnCLIPImg2ImgPipeline
<span class="hljs-keyword">from</span> diffusers.utils <span class="hljs-keyword">import</span> load_image
<span class="hljs-keyword">import</span> torch

pipe = StableUnCLIPImg2ImgPipeline.from_pretrained(
    <span class="hljs-string">&quot;stabilityai/stable-diffusion-2-1-unclip&quot;</span>, torch_dtype=torch.float16, variation=<span class="hljs-string">&quot;fp16&quot;</span>
)
pipe.enable_model_cpu_offload()
pipe.enable_vae_slicing()

url = <span class="hljs-string">&quot;https://huggingface.co/datasets/hf-internal-testing/diffusers-images/resolve/main/stable_unclip/tarsila_do_amaral.png&quot;</span>
init_image = load_image(url)

images = pipe(init_image).images
images[<span class="hljs-number">0</span>]`}}),He=new Se({}),Re=new k({props:{name:"class diffusers.StableUnCLIPPipeline",anchor:"diffusers.StableUnCLIPPipeline",parameters:[{name:"prior_tokenizer",val:": CLIPTokenizer"},{name:"prior_text_encoder",val:": CLIPTextModelWithProjection"},{name:"prior",val:": PriorTransformer"},{name:"prior_scheduler",val:": KarrasDiffusionSchedulers"},{name:"image_normalizer",val:": StableUnCLIPImageNormalizer"},{name:"image_noising_scheduler",val:": KarrasDiffusionSchedulers"},{name:"tokenizer",val:": CLIPTokenizer"},{name:"text_encoder",val:": CLIPTextModelWithProjection"},{name:"unet",val:": UNet2DConditionModel"},{name:"scheduler",val:": KarrasDiffusionSchedulers"},{name:"vae",val:": AutoencoderKL"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPPipeline.prior_tokenizer",description:`<strong>prior_tokenizer</strong> (<code>CLIPTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/v4.21.0/en/model_doc/clip#transformers.CLIPTokenizer" rel="nofollow">CLIPTokenizer</a>.`,name:"prior_tokenizer"},{anchor:"diffusers.StableUnCLIPPipeline.prior_text_encoder",description:`<strong>prior_text_encoder</strong> (<code>CLIPTextModelWithProjection</code>) &#x2014;
Frozen text-encoder.`,name:"prior_text_encoder"},{anchor:"diffusers.StableUnCLIPPipeline.prior",description:`<strong>prior</strong> (<a href="/docs/diffusers/pr_2873/en/api/models#diffusers.PriorTransformer">PriorTransformer</a>) &#x2014;
The canonincal unCLIP prior to approximate the image embedding from the text embedding.`,name:"prior"},{anchor:"diffusers.StableUnCLIPPipeline.prior_scheduler",description:`<strong>prior_scheduler</strong> (<code>KarrasDiffusionSchedulers</code>) &#x2014;
Scheduler used in the prior denoising process.`,name:"prior_scheduler"},{anchor:"diffusers.StableUnCLIPPipeline.image_normalizer",description:`<strong>image_normalizer</strong> (<code>StableUnCLIPImageNormalizer</code>) &#x2014;
Used to normalize the predicted image embeddings before the noise is applied and un-normalize the image
embeddings after the noise has been applied.`,name:"image_normalizer"},{anchor:"diffusers.StableUnCLIPPipeline.image_noising_scheduler",description:`<strong>image_noising_scheduler</strong> (<code>KarrasDiffusionSchedulers</code>) &#x2014;
Noise schedule for adding noise to the predicted image embeddings. The amount of noise to add is determined
by <code>noise_level</code> in <code>StableUnCLIPPipeline.__call__</code>.`,name:"image_noising_scheduler"},{anchor:"diffusers.StableUnCLIPPipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>CLIPTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/v4.21.0/en/model_doc/clip#transformers.CLIPTokenizer" rel="nofollow">CLIPTokenizer</a>.`,name:"tokenizer"},{anchor:"diffusers.StableUnCLIPPipeline.text_encoder",description:`<strong>text_encoder</strong> (<code>CLIPTextModel</code>) &#x2014;
Frozen text-encoder.`,name:"text_encoder"},{anchor:"diffusers.StableUnCLIPPipeline.unet",description:'<strong>unet</strong> (<a href="/docs/diffusers/pr_2873/en/api/models#diffusers.UNet2DConditionModel">UNet2DConditionModel</a>) &#x2014; Conditional U-Net architecture to denoise the encoded image latents.',name:"unet"},{anchor:"diffusers.StableUnCLIPPipeline.scheduler",description:`<strong>scheduler</strong> (<code>KarrasDiffusionSchedulers</code>) &#x2014;
A scheduler to be used in combination with <code>unet</code> to denoise the encoded image latents.`,name:"scheduler"},{anchor:"diffusers.StableUnCLIPPipeline.vae",description:`<strong>vae</strong> (<a href="/docs/diffusers/pr_2873/en/api/models#diffusers.AutoencoderKL">AutoencoderKL</a>) &#x2014;
Variational Auto-Encoder (VAE) Model to encode and decode images to and from latent representations.`,name:"vae"}],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L50"}}),Qe=new k({props:{name:"__call__",anchor:"diffusers.StableUnCLIPPipeline.__call__",parameters:[{name:"prompt",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"num_inference_steps",val:": int = 20"},{name:"guidance_scale",val:": float = 10.0"},{name:"negative_prompt",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"num_images_per_prompt",val:": typing.Optional[int] = 1"},{name:"eta",val:": float = 0.0"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"},{name:"latents",val:": typing.Optional[torch.FloatTensor] = None"},{name:"prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"negative_prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_type",val:": typing.Optional[str] = 'pil'"},{name:"return_dict",val:": bool = True"},{name:"callback",val:": typing.Union[typing.Callable[[int, int, torch.FloatTensor], NoneType], NoneType] = None"},{name:"callback_steps",val:": int = 1"},{name:"cross_attention_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"noise_level",val:": int = 0"},{name:"prior_num_inference_steps",val:": int = 25"},{name:"prior_guidance_scale",val:": float = 4.0"},{name:"prior_latents",val:": typing.Optional[torch.FloatTensor] = None"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPPipeline.__call__.prompt",description:`<strong>prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts to guide the image generation. If not defined, one has to pass <code>prompt_embeds</code>.
instead.`,name:"prompt"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The height in pixels of the generated image.`,name:"height"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.width",description:`<strong>width</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The width in pixels of the generated image.`,name:"width"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 20) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality image at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 10.0) &#x2014;
Guidance scale as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion Guidance</a>.
<code>guidance_scale</code> is defined as <code>w</code> of equation 2. of <a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen
Paper</a>. Guidance scale is enabled by setting <code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to the text <code>prompt</code>,
usually at the expense of lower image quality.`,name:"guidance_scale"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.negative_prompt",description:`<strong>negative_prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts not to guide the image generation. If not defined, one has to pass
<code>negative_prompt_embeds</code> instead. Ignored when not using guidance (i.e., ignored if <code>guidance_scale</code> is
less than <code>1</code>).`,name:"negative_prompt"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.num_images_per_prompt",description:`<strong>num_images_per_prompt</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of images to generate per prompt.`,name:"num_images_per_prompt"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.eta",description:`<strong>eta</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Corresponds to parameter eta (&#x3B7;) in the DDIM paper: <a href="https://arxiv.org/abs/2010.02502" rel="nofollow">https://arxiv.org/abs/2010.02502</a>. Only applies to
<a href="/docs/diffusers/pr_2873/en/api/schedulers/ddim#diffusers.DDIMScheduler">schedulers.DDIMScheduler</a>, will be ignored for others.`,name:"eta"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.generator",description:`<strong>generator</strong> (<code>torch.Generator</code> or <code>List[torch.Generator]</code>, <em>optional</em>) &#x2014;
One or a list of <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow">torch generator(s)</a>
to make generation deterministic.`,name:"generator"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
generation. Can be used to tweak the same generation with different prompts. If not provided, a latents
tensor will ge generated by sampling using the supplied random <code>generator</code>.`,name:"latents"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.prompt_embeds",description:`<strong>prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt weighting. If not
provided, text embeddings will be generated from <code>prompt</code> input argument.`,name:"prompt_embeds"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.negative_prompt_embeds",description:`<strong>negative_prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated negative text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt
weighting. If not provided, negative_prompt_embeds will be generated from <code>negative_prompt</code> input
argument.`,name:"negative_prompt_embeds"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pil&quot;</code>) &#x2014;
The output format of the generate image. Choose between
<a href="https://pillow.readthedocs.io/en/stable/" rel="nofollow">PIL</a>: <code>PIL.Image.Image</code> or <code>np.array</code>.`,name:"output_type"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_2873/en/api/pipelines/stable_diffusion/overview#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput">StableDiffusionPipelineOutput</a> instead of a
plain tuple.`,name:"return_dict"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that will be called every <code>callback_steps</code> steps during inference. The function will be
called with the following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function will be called. If not specified, the callback will be
called at every step.`,name:"callback_steps"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.cross_attention_kwargs",description:`<strong>cross_attention_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
A kwargs dictionary that if specified is passed along to the <code>AttentionProcessor</code> as defined under
<code>self.processor</code> in
<a href="https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/cross_attention.py" rel="nofollow">diffusers.cross_attention</a>.`,name:"cross_attention_kwargs"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.noise_level",description:`<strong>noise_level</strong> (<code>int</code>, <em>optional</em>, defaults to <code>0</code>) &#x2014;
The amount of noise to add to the image embeddings. A higher <code>noise_level</code> increases the variance in
the final un-noised images. See <code>StableUnCLIPPipeline.noise_image_embeddings</code> for details.`,name:"noise_level"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.prior_num_inference_steps",description:`<strong>prior_num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 25) &#x2014;
The number of denoising steps in the prior denoising process. More denoising steps usually lead to a
higher quality image at the expense of slower inference.`,name:"prior_num_inference_steps"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.prior_guidance_scale",description:`<strong>prior_guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 4.0) &#x2014;
Guidance scale for the prior denoising process as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion
Guidance</a>. <code>prior_guidance_scale</code> is defined as <code>w</code> of equation 2. of
<a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen Paper</a>. Guidance scale is enabled by setting
<code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to
the text <code>prompt</code>, usually at the expense of lower image quality.`,name:"prior_guidance_scale"},{anchor:"diffusers.StableUnCLIPPipeline.__call__.prior_latents",description:`<strong>prior_latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
embedding generation in the prior denoising process. Can be used to tweak the same generation with
different prompts. If not provided, a latents tensor will ge generated by sampling using the supplied
random <code>generator</code>.`,name:"prior_latents"}],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L629",returnDescription:`
<p><code>~ pipeline_utils.ImagePipelineOutput</code> if <code>return_dict</code> is
True, otherwise a <code>tuple</code>. When returning a tuple, the first element is a list with the generated images.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/pr_2873/en/api/diffusion_pipeline#diffusers.ImagePipelineOutput"
>ImagePipelineOutput</a> or <code>tuple</code></p>
`}}),he=new bi({props:{anchor:"diffusers.StableUnCLIPPipeline.__call__.example",$$slots:{default:[Fp]},$$scope:{ctx:M}}}),Xe=new k({props:{name:"enable_attention_slicing",anchor:"diffusers.StableUnCLIPPipeline.enable_attention_slicing",parameters:[{name:"slice_size",val:": typing.Union[str, int, NoneType] = 'auto'"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPPipeline.enable_attention_slicing.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maximum amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/pipeline_utils.py#L1367"}}),Ye=new k({props:{name:"disable_attention_slicing",anchor:"diffusers.StableUnCLIPPipeline.disable_attention_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/pipeline_utils.py#L1383"}}),et=new k({props:{name:"enable_vae_slicing",anchor:"diffusers.StableUnCLIPPipeline.enable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L140"}}),tt=new k({props:{name:"disable_vae_slicing",anchor:"diffusers.StableUnCLIPPipeline.disable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L150"}}),ot=new k({props:{name:"enable_xformers_memory_efficient_attention",anchor:"diffusers.StableUnCLIPPipeline.enable_xformers_memory_efficient_attention",parameters:[{name:"attention_op",val:": typing.Optional[typing.Callable] = None"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPPipeline.enable_xformers_memory_efficient_attention.attention_op",description:`<strong>attention_op</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
Override the default <code>None</code> operator for use as <code>op</code> argument to the
<a href="https://facebookresearch.github.io/xformers/components/ops.html#xformers.ops.memory_efficient_attention" rel="nofollow"><code>memory_efficient_attention()</code></a>
function of xFormers.`,name:"attention_op"}],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/pipeline_utils.py#L1310"}}),ve=new bi({props:{anchor:"diffusers.StableUnCLIPPipeline.enable_xformers_memory_efficient_attention.example",$$slots:{default:[Vp]},$$scope:{ctx:M}}}),it=new k({props:{name:"disable_xformers_memory_efficient_attention",anchor:"diffusers.StableUnCLIPPipeline.disable_xformers_memory_efficient_attention",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/pipeline_utils.py#L1342"}}),at=new k({props:{name:"enable_model_cpu_offload",anchor:"diffusers.StableUnCLIPPipeline.enable_model_cpu_offload",parameters:[{name:"gpu_id",val:" = 0"}],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L181"}}),st=new k({props:{name:"enable_sequential_cpu_offload",anchor:"diffusers.StableUnCLIPPipeline.enable_sequential_cpu_offload",parameters:[{name:"gpu_id",val:" = 0"}],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L157"}}),lt=new k({props:{name:"noise_image_embeddings",anchor:"diffusers.StableUnCLIPPipeline.noise_image_embeddings",parameters:[{name:"image_embeds",val:": Tensor"},{name:"noise_level",val:": int"},{name:"noise",val:": typing.Optional[torch.FloatTensor] = None"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"}],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip.py#L583"}}),ct=new Se({}),mt=new k({props:{name:"class diffusers.StableUnCLIPImg2ImgPipeline",anchor:"diffusers.StableUnCLIPImg2ImgPipeline",parameters:[{name:"feature_extractor",val:": CLIPImageProcessor"},{name:"image_encoder",val:": CLIPVisionModelWithProjection"},{name:"image_normalizer",val:": StableUnCLIPImageNormalizer"},{name:"image_noising_scheduler",val:": KarrasDiffusionSchedulers"},{name:"tokenizer",val:": CLIPTokenizer"},{name:"text_encoder",val:": CLIPTextModel"},{name:"unet",val:": UNet2DConditionModel"},{name:"scheduler",val:": KarrasDiffusionSchedulers"},{name:"vae",val:": AutoencoderKL"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.feature_extractor",description:`<strong>feature_extractor</strong> (<code>CLIPImageProcessor</code>) &#x2014;
Feature extractor for image pre-processing before being encoded.`,name:"feature_extractor"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.image_encoder",description:`<strong>image_encoder</strong> (<code>CLIPVisionModelWithProjection</code>) &#x2014;
CLIP vision model for encoding images.`,name:"image_encoder"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.image_normalizer",description:`<strong>image_normalizer</strong> (<code>StableUnCLIPImageNormalizer</code>) &#x2014;
Used to normalize the predicted image embeddings before the noise is applied and un-normalize the image
embeddings after the noise has been applied.`,name:"image_normalizer"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.image_noising_scheduler",description:`<strong>image_noising_scheduler</strong> (<code>KarrasDiffusionSchedulers</code>) &#x2014;
Noise schedule for adding noise to the predicted image embeddings. The amount of noise to add is determined
by <code>noise_level</code> in <code>StableUnCLIPPipeline.__call__</code>.`,name:"image_noising_scheduler"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>CLIPTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/v4.21.0/en/model_doc/clip#transformers.CLIPTokenizer" rel="nofollow">CLIPTokenizer</a>.`,name:"tokenizer"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.text_encoder",description:`<strong>text_encoder</strong> (<code>CLIPTextModel</code>) &#x2014;
Frozen text-encoder.`,name:"text_encoder"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.unet",description:'<strong>unet</strong> (<a href="/docs/diffusers/pr_2873/en/api/models#diffusers.UNet2DConditionModel">UNet2DConditionModel</a>) &#x2014; Conditional U-Net architecture to denoise the encoded image latents.',name:"unet"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.scheduler",description:`<strong>scheduler</strong> (<code>KarrasDiffusionSchedulers</code>) &#x2014;
A scheduler to be used in combination with <code>unet</code> to denoise the encoded image latents.`,name:"scheduler"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.vae",description:`<strong>vae</strong> (<a href="/docs/diffusers/pr_2873/en/api/models#diffusers.AutoencoderKL">AutoencoderKL</a>) &#x2014;
Variational Auto-Encoder (VAE) Model to encode and decode images to and from latent representations.`,name:"vae"}],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L63"}}),gt=new k({props:{name:"__call__",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__",parameters:[{name:"image",val:": typing.Union[torch.FloatTensor, PIL.Image.Image] = None"},{name:"prompt",val:": typing.Union[str, typing.List[str]] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"num_inference_steps",val:": int = 20"},{name:"guidance_scale",val:": float = 10"},{name:"negative_prompt",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"num_images_per_prompt",val:": typing.Optional[int] = 1"},{name:"eta",val:": float = 0.0"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"},{name:"latents",val:": typing.Optional[torch.FloatTensor] = None"},{name:"prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"negative_prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_type",val:": typing.Optional[str] = 'pil'"},{name:"return_dict",val:": bool = True"},{name:"callback",val:": typing.Union[typing.Callable[[int, int, torch.FloatTensor], NoneType], NoneType] = None"},{name:"callback_steps",val:": int = 1"},{name:"cross_attention_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"noise_level",val:": int = 0"},{name:"image_embeds",val:": typing.Optional[torch.FloatTensor] = None"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.prompt",description:`<strong>prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts to guide the image generation. If not defined, either <code>prompt_embeds</code> will be
used or prompt is initialized to <code>&quot;&quot;</code>.`,name:"prompt"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.image",description:`<strong>image</strong> (<code>torch.FloatTensor</code> or <code>PIL.Image.Image</code>) &#x2014;
<code>Image</code>, or tensor representing an image batch. The image will be encoded to its CLIP embedding which
the unet will be conditioned on. Note that the image is <em>not</em> encoded by the vae and then used as the
latents in the denoising process such as in the standard stable diffusion text guided image variation
process.`,name:"image"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The height in pixels of the generated image.`,name:"height"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.width",description:`<strong>width</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The width in pixels of the generated image.`,name:"width"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 20) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality image at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 10.0) &#x2014;
Guidance scale as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion Guidance</a>.
<code>guidance_scale</code> is defined as <code>w</code> of equation 2. of <a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen
Paper</a>. Guidance scale is enabled by setting <code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to the text <code>prompt</code>,
usually at the expense of lower image quality.`,name:"guidance_scale"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.negative_prompt",description:`<strong>negative_prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts not to guide the image generation. If not defined, one has to pass
<code>negative_prompt_embeds</code> instead. Ignored when not using guidance (i.e., ignored if <code>guidance_scale</code> is
less than <code>1</code>).`,name:"negative_prompt"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.num_images_per_prompt",description:`<strong>num_images_per_prompt</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of images to generate per prompt.`,name:"num_images_per_prompt"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.eta",description:`<strong>eta</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Corresponds to parameter eta (&#x3B7;) in the DDIM paper: <a href="https://arxiv.org/abs/2010.02502" rel="nofollow">https://arxiv.org/abs/2010.02502</a>. Only applies to
<a href="/docs/diffusers/pr_2873/en/api/schedulers/ddim#diffusers.DDIMScheduler">schedulers.DDIMScheduler</a>, will be ignored for others.`,name:"eta"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.generator",description:`<strong>generator</strong> (<code>torch.Generator</code> or <code>List[torch.Generator]</code>, <em>optional</em>) &#x2014;
One or a list of <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow">torch generator(s)</a>
to make generation deterministic.`,name:"generator"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
generation. Can be used to tweak the same generation with different prompts. If not provided, a latents
tensor will ge generated by sampling using the supplied random <code>generator</code>.`,name:"latents"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.prompt_embeds",description:`<strong>prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt weighting. If not
provided, text embeddings will be generated from <code>prompt</code> input argument.`,name:"prompt_embeds"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.negative_prompt_embeds",description:`<strong>negative_prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated negative text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt
weighting. If not provided, negative_prompt_embeds will be generated from <code>negative_prompt</code> input
argument.`,name:"negative_prompt_embeds"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pil&quot;</code>) &#x2014;
The output format of the generate image. Choose between
<a href="https://pillow.readthedocs.io/en/stable/" rel="nofollow">PIL</a>: <code>PIL.Image.Image</code> or <code>np.array</code>.`,name:"output_type"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_2873/en/api/pipelines/stable_diffusion/overview#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput">StableDiffusionPipelineOutput</a> instead of a
plain tuple.`,name:"return_dict"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that will be called every <code>callback_steps</code> steps during inference. The function will be
called with the following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function will be called. If not specified, the callback will be
called at every step.`,name:"callback_steps"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.cross_attention_kwargs",description:`<strong>cross_attention_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
A kwargs dictionary that if specified is passed along to the <code>AttentionProcessor</code> as defined under
<code>self.processor</code> in
<a href="https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/cross_attention.py" rel="nofollow">diffusers.cross_attention</a>.`,name:"cross_attention_kwargs"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.noise_level",description:`<strong>noise_level</strong> (<code>int</code>, <em>optional</em>, defaults to <code>0</code>) &#x2014;
The amount of noise to add to the image embeddings. A higher <code>noise_level</code> increases the variance in
the final un-noised images. See <code>StableUnCLIPPipeline.noise_image_embeddings</code> for details.`,name:"noise_level"},{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.image_embeds",description:`<strong>image_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated CLIP embeddings to condition the unet on. Note that these are not latents to be used in
the denoising process. If you want to provide pre-generated latents, pass them to <code>__call__</code> as
<code>latents</code>.`,name:"image_embeds"}],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L596",returnDescription:`
<p><code>~ pipeline_utils.ImagePipelineOutput</code> if <code>return_dict</code> is
True, otherwise a <code>tuple</code>. When returning a tuple, the first element is a list with the generated images.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/pr_2873/en/api/diffusion_pipeline#diffusers.ImagePipelineOutput"
>ImagePipelineOutput</a> or <code>tuple</code></p>
`}}),we=new bi({props:{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.__call__.example",$$slots:{default:[Gp]},$$scope:{ctx:M}}}),ut=new k({props:{name:"enable_attention_slicing",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_attention_slicing",parameters:[{name:"slice_size",val:": typing.Union[str, int, NoneType] = 'auto'"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_attention_slicing.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maximum amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/pipeline_utils.py#L1367"}}),ht=new k({props:{name:"disable_attention_slicing",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.disable_attention_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/pipeline_utils.py#L1383"}}),bt=new k({props:{name:"enable_vae_slicing",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L142"}}),vt=new k({props:{name:"disable_vae_slicing",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.disable_vae_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L152"}}),It=new k({props:{name:"enable_xformers_memory_efficient_attention",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_xformers_memory_efficient_attention",parameters:[{name:"attention_op",val:": typing.Optional[typing.Callable] = None"}],parametersDescription:[{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_xformers_memory_efficient_attention.attention_op",description:`<strong>attention_op</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
Override the default <code>None</code> operator for use as <code>op</code> argument to the
<a href="https://facebookresearch.github.io/xformers/components/ops.html#xformers.ops.memory_efficient_attention" rel="nofollow"><code>memory_efficient_attention()</code></a>
function of xFormers.`,name:"attention_op"}],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/pipeline_utils.py#L1310"}}),Le=new bi({props:{anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_xformers_memory_efficient_attention.example",$$slots:{default:[Wp]},$$scope:{ctx:M}}}),yt=new k({props:{name:"disable_xformers_memory_efficient_attention",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.disable_xformers_memory_efficient_attention",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/pipeline_utils.py#L1342"}}),$t=new k({props:{name:"enable_model_cpu_offload",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_model_cpu_offload",parameters:[{name:"gpu_id",val:" = 0"}],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L183"}}),wt=new k({props:{name:"enable_sequential_cpu_offload",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.enable_sequential_cpu_offload",parameters:[{name:"gpu_id",val:" = 0"}],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L159"}}),xt=new k({props:{name:"noise_image_embeddings",anchor:"diffusers.StableUnCLIPImg2ImgPipeline.noise_image_embeddings",parameters:[{name:"image_embeds",val:": Tensor"},{name:"noise_level",val:": int"},{name:"noise",val:": typing.Optional[torch.FloatTensor] = None"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"}],source:"https://github.com/huggingface/diffusers/blob/vr_2873/src/diffusers/pipelines/stable_diffusion/pipeline_stable_unclip_img2img.py#L550"}}),{c(){I=o("meta"),U=l(),C=o("h1"),P=o("a"),E=o("span"),g(d.$$.fragment),y=l(),Ht=o("span"),Pi=s("Stable unCLIP"),ho=l(),re=o("p"),Ii=s("Stable unCLIP checkpoints are finetuned from "),Ut=o("a"),yi=s("stable diffusion 2.1"),$i=s(` checkpoints to condition on CLIP image embeddings.
Stable unCLIP also still conditions on text embeddings. Given the two separate conditionings, stable unCLIP can be used
for text guided image variation. When combined with an unCLIP prior, it can also be used for full text to image generation.`),_o=l(),St=o("p"),wi=s("To know more about the unCLIP process, check out the following paper:"),bo=l(),Ae=o("p"),De=o("a"),Ci=s("Hierarchical Text-Conditional Image Generation with CLIP Latents"),xi=s(" by Aditya Ramesh, Prafulla Dhariwal, Alex Nichol, Casey Chu, Mark Chen."),vo=l(),Y=o("h2"),le=o("a"),Rt=o("span"),g(je.$$.fragment),Li=l(),Jt=o("span"),Ei=s("Tips"),Po=l(),A=o("p"),ki=s("Stable unCLIP takes a "),Qt=o("code"),Ui=s("noise_level"),Si=s(" as input during inference. "),Xt=o("code"),Ti=s("noise_level"),Ai=s(` determines how much noise is added
to the image embeddings. A higher `),Yt=o("code"),Di=s("noise_level"),ji=s(` increases variation in the final un-noised images. By default,
we do not add any additional noise to the image embeddings i.e. `),Zt=o("code"),qi=s("noise_level = 0"),Oi=s("."),Io=l(),Z=o("h3"),pe=o("a"),en=o("span"),g(qe.$$.fragment),zi=l(),tn=o("span"),Ni=s("Available checkpoints:"),yo=l(),de=o("ul"),Tt=o("li"),Mi=s("Image variation"),Oe=o("ul"),nn=o("li"),ze=o("a"),Fi=s("stabilityai/stable-diffusion-2-1-unclip"),Vi=l(),on=o("li"),Ne=o("a"),Gi=s("stabilityai/stable-diffusion-2-1-unclip-small"),Wi=l(),At=o("li"),Ki=s("Text-to-image "),an=o("ul"),sn=o("li"),Bi=s("Coming soon!"),$o=l(),ee=o("h3"),ce=o("a"),rn=o("span"),g(Me.$$.fragment),Hi=l(),ln=o("span"),Ri=s("Text-to-Image Generation"),wo=l(),Dt=o("p"),Ji=s("Coming soon!"),Co=l(),te=o("h3"),me=o("a"),pn=o("span"),g(Fe.$$.fragment),Qi=l(),dn=o("span"),Xi=s("Text guided Image-to-Image Variation"),xo=l(),g(Ve.$$.fragment),Lo=l(),fe=o("p"),Yi=s("Optionally, you can also pass a prompt to "),cn=o("code"),Zi=s("pipe"),ea=s(" such as:"),Eo=l(),g(Ge.$$.fragment),ko=l(),ne=o("h3"),ge=o("a"),mn=o("span"),g(We.$$.fragment),ta=l(),fn=o("span"),na=s("Memory optimization"),Uo=l(),jt=o("p"),oa=s(`If you are short on GPU memory, you can enable smart CPU offloading so that models that are not needed
immediately for a computation can be offloaded to CPU:`),So=l(),g(Ke.$$.fragment),To=l(),qt=o("p"),ia=s("Further memory optimizations are possible by enabling VAE slicing on the pipeline:"),Ao=l(),g(Be.$$.fragment),Do=l(),oe=o("h3"),ue=o("a"),gn=o("span"),g(He.$$.fragment),aa=l(),un=o("span"),sa=s("StableUnCLIPPipeline"),jo=l(),$=o("div"),g(Re.$$.fragment),ra=l(),hn=o("p"),la=s("Pipeline for text-to-image generation using stable unCLIP."),pa=l(),Je=o("p"),da=s("This model inherits from "),Ot=o("a"),ca=s("DiffusionPipeline"),ma=s(`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),fa=l(),F=o("div"),g(Qe.$$.fragment),ga=l(),_n=o("p"),ua=s("Function invoked when calling the pipeline for generation."),ha=l(),g(he.$$.fragment),_a=l(),V=o("div"),g(Xe.$$.fragment),ba=l(),bn=o("p"),va=s("Enable sliced attention computation."),Pa=l(),vn=o("p"),Ia=s(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),ya=l(),_e=o("div"),g(Ye.$$.fragment),$a=l(),Ze=o("p"),wa=s("Disable sliced attention computation. If "),Pn=o("code"),Ca=s("enable_attention_slicing"),xa=s(` was previously invoked, this method will go
back to computing attention in one step.`),La=l(),G=o("div"),g(et.$$.fragment),Ea=l(),In=o("p"),ka=s("Enable sliced VAE decoding."),Ua=l(),yn=o("p"),Sa=s(`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),Ta=l(),be=o("div"),g(tt.$$.fragment),Aa=l(),nt=o("p"),Da=s("Disable sliced VAE decoding. If "),$n=o("code"),ja=s("enable_vae_slicing"),qa=s(` was previously invoked, this method will go back to
computing decoding in one step.`),Oa=l(),D=o("div"),g(ot.$$.fragment),za=l(),wn=o("p"),Na=s("Enable memory efficient attention as implemented in xformers."),Ma=l(),Cn=o("p"),Fa=s(`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),Va=l(),xn=o("p"),Ga=s(`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),Wa=l(),g(ve.$$.fragment),Ka=l(),Pe=o("div"),g(it.$$.fragment),Ba=l(),Ln=o("p"),Ha=s("Disable memory efficient attention as implemented in xformers."),Ra=l(),Ie=o("div"),g(at.$$.fragment),Ja=l(),q=o("p"),Qa=s(`Offloads all models to CPU using accelerate, reducing memory usage with a low impact on performance. Compared
to `),En=o("code"),Xa=s("enable_sequential_cpu_offload"),Ya=s(", this method moves one whole model at a time to the GPU when its "),kn=o("code"),Za=s("forward"),es=s(`
method is called, and the model remains in GPU until the next model runs. Memory savings are lower than with
`),Un=o("code"),ts=s("enable_sequential_cpu_offload"),ns=s(", but performance is much better due to the iterative execution of the "),Sn=o("code"),os=s("unet"),is=s("."),as=l(),ye=o("div"),g(st.$$.fragment),ss=l(),rt=o("p"),rs=s(`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, the pipeline\u2019s
models have their state dicts saved to CPU and then are moved to a `),Tn=o("code"),ls=s("torch.device('meta') and loaded to GPU only when their specific submodule has its "),ps=s("forward` method called."),ds=l(),S=o("div"),g(lt.$$.fragment),cs=l(),ie=o("p"),ms=s("Add noise to the image embeddings. The amount of noise is controlled by a "),An=o("code"),fs=s("noise_level"),gs=s(` input. A higher
`),Dn=o("code"),us=s("noise_level"),hs=s(" increases the variance in the final un-noised images."),_s=l(),jn=o("p"),bs=s("The noise is applied in two ways"),vs=l(),pt=o("ol"),qn=o("li"),Ps=s("A noise schedule is applied directly to the embeddings"),Is=l(),On=o("li"),ys=s("A vector of sinusoidal time embeddings are appended to the output."),$s=l(),dt=o("p"),ws=s("In both cases, the amount of noise is controlled by the same "),zn=o("code"),Cs=s("noise_level"),xs=s("."),Ls=l(),Nn=o("p"),Es=s("The embeddings are normalized before the noise is applied and un-normalized after the noise is applied."),qo=l(),ae=o("h3"),$e=o("a"),Mn=o("span"),g(ct.$$.fragment),ks=l(),Fn=o("span"),Us=s("StableUnCLIPImg2ImgPipeline"),Oo=l(),w=o("div"),g(mt.$$.fragment),Ss=l(),Vn=o("p"),Ts=s("Pipeline for text-guided image to image generation using stable unCLIP."),As=l(),ft=o("p"),Ds=s("This model inherits from "),zt=o("a"),js=s("DiffusionPipeline"),qs=s(`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),Os=l(),W=o("div"),g(gt.$$.fragment),zs=l(),Gn=o("p"),Ns=s("Function invoked when calling the pipeline for generation."),Ms=l(),g(we.$$.fragment),Fs=l(),K=o("div"),g(ut.$$.fragment),Vs=l(),Wn=o("p"),Gs=s("Enable sliced attention computation."),Ws=l(),Kn=o("p"),Ks=s(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),Bs=l(),Ce=o("div"),g(ht.$$.fragment),Hs=l(),_t=o("p"),Rs=s("Disable sliced attention computation. If "),Bn=o("code"),Js=s("enable_attention_slicing"),Qs=s(` was previously invoked, this method will go
back to computing attention in one step.`),Xs=l(),B=o("div"),g(bt.$$.fragment),Ys=l(),Hn=o("p"),Zs=s("Enable sliced VAE decoding."),er=l(),Rn=o("p"),tr=s(`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),nr=l(),xe=o("div"),g(vt.$$.fragment),or=l(),Pt=o("p"),ir=s("Disable sliced VAE decoding. If "),Jn=o("code"),ar=s("enable_vae_slicing"),sr=s(` was previously invoked, this method will go back to
computing decoding in one step.`),rr=l(),j=o("div"),g(It.$$.fragment),lr=l(),Qn=o("p"),pr=s("Enable memory efficient attention as implemented in xformers."),dr=l(),Xn=o("p"),cr=s(`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),mr=l(),Yn=o("p"),fr=s(`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),gr=l(),g(Le.$$.fragment),ur=l(),Ee=o("div"),g(yt.$$.fragment),hr=l(),Zn=o("p"),_r=s("Disable memory efficient attention as implemented in xformers."),br=l(),ke=o("div"),g($t.$$.fragment),vr=l(),O=o("p"),Pr=s(`Offloads all models to CPU using accelerate, reducing memory usage with a low impact on performance. Compared
to `),eo=o("code"),Ir=s("enable_sequential_cpu_offload"),yr=s(", this method moves one whole model at a time to the GPU when its "),to=o("code"),$r=s("forward"),wr=s(`
method is called, and the model remains in GPU until the next model runs. Memory savings are lower than with
`),no=o("code"),Cr=s("enable_sequential_cpu_offload"),xr=s(", but performance is much better due to the iterative execution of the "),oo=o("code"),Lr=s("unet"),Er=s("."),kr=l(),Ue=o("div"),g(wt.$$.fragment),Ur=l(),Ct=o("p"),Sr=s(`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, the pipeline\u2019s
models have their state dicts saved to CPU and then are moved to a `),io=o("code"),Tr=s("torch.device('meta') and loaded to GPU only when their specific submodule has its "),Ar=s("forward` method called."),Dr=l(),T=o("div"),g(xt.$$.fragment),jr=l(),se=o("p"),qr=s("Add noise to the image embeddings. The amount of noise is controlled by a "),ao=o("code"),Or=s("noise_level"),zr=s(` input. A higher
`),so=o("code"),Nr=s("noise_level"),Mr=s(" increases the variance in the final un-noised images."),Fr=l(),ro=o("p"),Vr=s("The noise is applied in two ways"),Gr=l(),Lt=o("ol"),lo=o("li"),Wr=s("A noise schedule is applied directly to the embeddings"),Kr=l(),po=o("li"),Br=s("A vector of sinusoidal time embeddings are appended to the output."),Hr=l(),Et=o("p"),Rr=s("In both cases, the amount of noise is controlled by the same "),co=o("code"),Jr=s("noise_level"),Qr=s("."),Xr=l(),mo=o("p"),Yr=s("The embeddings are normalized before the noise is applied and un-normalized after the noise is applied."),this.h()},l(t){const m=Np('[data-svelte="svelte-1phssyn"]',document.head);I=i(m,"META",{name:!0,content:!0}),m.forEach(n),U=p(t),C=i(t,"H1",{class:!0});var kt=a(C);P=i(kt,"A",{id:!0,class:!0,href:!0});var fo=a(P);E=i(fo,"SPAN",{});var go=a(E);u(d.$$.fragment,go),go.forEach(n),fo.forEach(n),y=p(kt),Ht=i(kt,"SPAN",{});var uo=a(Ht);Pi=r(uo,"Stable unCLIP"),uo.forEach(n),kt.forEach(n),ho=p(t),re=i(t,"P",{});var No=a(re);Ii=r(No,"Stable unCLIP checkpoints are finetuned from "),Ut=i(No,"A",{href:!0});var nl=a(Ut);yi=r(nl,"stable diffusion 2.1"),nl.forEach(n),$i=r(No,` checkpoints to condition on CLIP image embeddings.
Stable unCLIP also still conditions on text embeddings. Given the two separate conditionings, stable unCLIP can be used
for text guided image variation. When combined with an unCLIP prior, it can also be used for full text to image generation.`),No.forEach(n),_o=p(t),St=i(t,"P",{});var ol=a(St);wi=r(ol,"To know more about the unCLIP process, check out the following paper:"),ol.forEach(n),bo=p(t),Ae=i(t,"P",{});var Zr=a(Ae);De=i(Zr,"A",{href:!0,rel:!0});var il=a(De);Ci=r(il,"Hierarchical Text-Conditional Image Generation with CLIP Latents"),il.forEach(n),xi=r(Zr," by Aditya Ramesh, Prafulla Dhariwal, Alex Nichol, Casey Chu, Mark Chen."),Zr.forEach(n),vo=p(t),Y=i(t,"H2",{class:!0});var Mo=a(Y);le=i(Mo,"A",{id:!0,class:!0,href:!0});var al=a(le);Rt=i(al,"SPAN",{});var sl=a(Rt);u(je.$$.fragment,sl),sl.forEach(n),al.forEach(n),Li=p(Mo),Jt=i(Mo,"SPAN",{});var rl=a(Jt);Ei=r(rl,"Tips"),rl.forEach(n),Mo.forEach(n),Po=p(t),A=i(t,"P",{});var H=a(A);ki=r(H,"Stable unCLIP takes a "),Qt=i(H,"CODE",{});var ll=a(Qt);Ui=r(ll,"noise_level"),ll.forEach(n),Si=r(H," as input during inference. "),Xt=i(H,"CODE",{});var pl=a(Xt);Ti=r(pl,"noise_level"),pl.forEach(n),Ai=r(H,` determines how much noise is added
to the image embeddings. A higher `),Yt=i(H,"CODE",{});var dl=a(Yt);Di=r(dl,"noise_level"),dl.forEach(n),ji=r(H,` increases variation in the final un-noised images. By default,
we do not add any additional noise to the image embeddings i.e. `),Zt=i(H,"CODE",{});var cl=a(Zt);qi=r(cl,"noise_level = 0"),cl.forEach(n),Oi=r(H,"."),H.forEach(n),Io=p(t),Z=i(t,"H3",{class:!0});var Fo=a(Z);pe=i(Fo,"A",{id:!0,class:!0,href:!0});var ml=a(pe);en=i(ml,"SPAN",{});var fl=a(en);u(qe.$$.fragment,fl),fl.forEach(n),ml.forEach(n),zi=p(Fo),tn=i(Fo,"SPAN",{});var gl=a(tn);Ni=r(gl,"Available checkpoints:"),gl.forEach(n),Fo.forEach(n),yo=p(t),de=i(t,"UL",{});var Vo=a(de);Tt=i(Vo,"LI",{});var el=a(Tt);Mi=r(el,"Image variation"),Oe=i(el,"UL",{});var Go=a(Oe);nn=i(Go,"LI",{});var ul=a(nn);ze=i(ul,"A",{href:!0,rel:!0});var hl=a(ze);Fi=r(hl,"stabilityai/stable-diffusion-2-1-unclip"),hl.forEach(n),ul.forEach(n),Vi=p(Go),on=i(Go,"LI",{});var _l=a(on);Ne=i(_l,"A",{href:!0,rel:!0});var bl=a(Ne);Gi=r(bl,"stabilityai/stable-diffusion-2-1-unclip-small"),bl.forEach(n),_l.forEach(n),Go.forEach(n),el.forEach(n),Wi=p(Vo),At=i(Vo,"LI",{});var tl=a(At);Ki=r(tl,"Text-to-image "),an=i(tl,"UL",{});var vl=a(an);sn=i(vl,"LI",{});var Pl=a(sn);Bi=r(Pl,"Coming soon!"),Pl.forEach(n),vl.forEach(n),tl.forEach(n),Vo.forEach(n),$o=p(t),ee=i(t,"H3",{class:!0});var Wo=a(ee);ce=i(Wo,"A",{id:!0,class:!0,href:!0});var Il=a(ce);rn=i(Il,"SPAN",{});var yl=a(rn);u(Me.$$.fragment,yl),yl.forEach(n),Il.forEach(n),Hi=p(Wo),ln=i(Wo,"SPAN",{});var $l=a(ln);Ri=r($l,"Text-to-Image Generation"),$l.forEach(n),Wo.forEach(n),wo=p(t),Dt=i(t,"P",{});var wl=a(Dt);Ji=r(wl,"Coming soon!"),wl.forEach(n),Co=p(t),te=i(t,"H3",{class:!0});var Ko=a(te);me=i(Ko,"A",{id:!0,class:!0,href:!0});var Cl=a(me);pn=i(Cl,"SPAN",{});var xl=a(pn);u(Fe.$$.fragment,xl),xl.forEach(n),Cl.forEach(n),Qi=p(Ko),dn=i(Ko,"SPAN",{});var Ll=a(dn);Xi=r(Ll,"Text guided Image-to-Image Variation"),Ll.forEach(n),Ko.forEach(n),xo=p(t),u(Ve.$$.fragment,t),Lo=p(t),fe=i(t,"P",{});var Bo=a(fe);Yi=r(Bo,"Optionally, you can also pass a prompt to "),cn=i(Bo,"CODE",{});var El=a(cn);Zi=r(El,"pipe"),El.forEach(n),ea=r(Bo," such as:"),Bo.forEach(n),Eo=p(t),u(Ge.$$.fragment,t),ko=p(t),ne=i(t,"H3",{class:!0});var Ho=a(ne);ge=i(Ho,"A",{id:!0,class:!0,href:!0});var kl=a(ge);mn=i(kl,"SPAN",{});var Ul=a(mn);u(We.$$.fragment,Ul),Ul.forEach(n),kl.forEach(n),ta=p(Ho),fn=i(Ho,"SPAN",{});var Sl=a(fn);na=r(Sl,"Memory optimization"),Sl.forEach(n),Ho.forEach(n),Uo=p(t),jt=i(t,"P",{});var Tl=a(jt);oa=r(Tl,`If you are short on GPU memory, you can enable smart CPU offloading so that models that are not needed
immediately for a computation can be offloaded to CPU:`),Tl.forEach(n),So=p(t),u(Ke.$$.fragment,t),To=p(t),qt=i(t,"P",{});var Al=a(qt);ia=r(Al,"Further memory optimizations are possible by enabling VAE slicing on the pipeline:"),Al.forEach(n),Ao=p(t),u(Be.$$.fragment,t),Do=p(t),oe=i(t,"H3",{class:!0});var Ro=a(oe);ue=i(Ro,"A",{id:!0,class:!0,href:!0});var Dl=a(ue);gn=i(Dl,"SPAN",{});var jl=a(gn);u(He.$$.fragment,jl),jl.forEach(n),Dl.forEach(n),aa=p(Ro),un=i(Ro,"SPAN",{});var ql=a(un);sa=r(ql,"StableUnCLIPPipeline"),ql.forEach(n),Ro.forEach(n),jo=p(t),$=i(t,"DIV",{class:!0});var x=a($);u(Re.$$.fragment,x),ra=p(x),hn=i(x,"P",{});var Ol=a(hn);la=r(Ol,"Pipeline for text-to-image generation using stable unCLIP."),Ol.forEach(n),pa=p(x),Je=i(x,"P",{});var Jo=a(Je);da=r(Jo,"This model inherits from "),Ot=i(Jo,"A",{href:!0});var zl=a(Ot);ca=r(zl,"DiffusionPipeline"),zl.forEach(n),ma=r(Jo,`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),Jo.forEach(n),fa=p(x),F=i(x,"DIV",{class:!0});var Nt=a(F);u(Qe.$$.fragment,Nt),ga=p(Nt),_n=i(Nt,"P",{});var Nl=a(_n);ua=r(Nl,"Function invoked when calling the pipeline for generation."),Nl.forEach(n),ha=p(Nt),u(he.$$.fragment,Nt),Nt.forEach(n),_a=p(x),V=i(x,"DIV",{class:!0});var Mt=a(V);u(Xe.$$.fragment,Mt),ba=p(Mt),bn=i(Mt,"P",{});var Ml=a(bn);va=r(Ml,"Enable sliced attention computation."),Ml.forEach(n),Pa=p(Mt),vn=i(Mt,"P",{});var Fl=a(vn);Ia=r(Fl,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),Fl.forEach(n),Mt.forEach(n),ya=p(x),_e=i(x,"DIV",{class:!0});var Qo=a(_e);u(Ye.$$.fragment,Qo),$a=p(Qo),Ze=i(Qo,"P",{});var Xo=a(Ze);wa=r(Xo,"Disable sliced attention computation. If "),Pn=i(Xo,"CODE",{});var Vl=a(Pn);Ca=r(Vl,"enable_attention_slicing"),Vl.forEach(n),xa=r(Xo,` was previously invoked, this method will go
back to computing attention in one step.`),Xo.forEach(n),Qo.forEach(n),La=p(x),G=i(x,"DIV",{class:!0});var Ft=a(G);u(et.$$.fragment,Ft),Ea=p(Ft),In=i(Ft,"P",{});var Gl=a(In);ka=r(Gl,"Enable sliced VAE decoding."),Gl.forEach(n),Ua=p(Ft),yn=i(Ft,"P",{});var Wl=a(yn);Sa=r(Wl,`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),Wl.forEach(n),Ft.forEach(n),Ta=p(x),be=i(x,"DIV",{class:!0});var Yo=a(be);u(tt.$$.fragment,Yo),Aa=p(Yo),nt=i(Yo,"P",{});var Zo=a(nt);Da=r(Zo,"Disable sliced VAE decoding. If "),$n=i(Zo,"CODE",{});var Kl=a($n);ja=r(Kl,"enable_vae_slicing"),Kl.forEach(n),qa=r(Zo,` was previously invoked, this method will go back to
computing decoding in one step.`),Zo.forEach(n),Yo.forEach(n),Oa=p(x),D=i(x,"DIV",{class:!0});var R=a(D);u(ot.$$.fragment,R),za=p(R),wn=i(R,"P",{});var Bl=a(wn);Na=r(Bl,"Enable memory efficient attention as implemented in xformers."),Bl.forEach(n),Ma=p(R),Cn=i(R,"P",{});var Hl=a(Cn);Fa=r(Hl,`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),Hl.forEach(n),Va=p(R),xn=i(R,"P",{});var Rl=a(xn);Ga=r(Rl,`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),Rl.forEach(n),Wa=p(R),u(ve.$$.fragment,R),R.forEach(n),Ka=p(x),Pe=i(x,"DIV",{class:!0});var ei=a(Pe);u(it.$$.fragment,ei),Ba=p(ei),Ln=i(ei,"P",{});var Jl=a(Ln);Ha=r(Jl,"Disable memory efficient attention as implemented in xformers."),Jl.forEach(n),ei.forEach(n),Ra=p(x),Ie=i(x,"DIV",{class:!0});var ti=a(Ie);u(at.$$.fragment,ti),Ja=p(ti),q=i(ti,"P",{});var J=a(q);Qa=r(J,`Offloads all models to CPU using accelerate, reducing memory usage with a low impact on performance. Compared
to `),En=i(J,"CODE",{});var Ql=a(En);Xa=r(Ql,"enable_sequential_cpu_offload"),Ql.forEach(n),Ya=r(J,", this method moves one whole model at a time to the GPU when its "),kn=i(J,"CODE",{});var Xl=a(kn);Za=r(Xl,"forward"),Xl.forEach(n),es=r(J,`
method is called, and the model remains in GPU until the next model runs. Memory savings are lower than with
`),Un=i(J,"CODE",{});var Yl=a(Un);ts=r(Yl,"enable_sequential_cpu_offload"),Yl.forEach(n),ns=r(J,", but performance is much better due to the iterative execution of the "),Sn=i(J,"CODE",{});var Zl=a(Sn);os=r(Zl,"unet"),Zl.forEach(n),is=r(J,"."),J.forEach(n),ti.forEach(n),as=p(x),ye=i(x,"DIV",{class:!0});var ni=a(ye);u(st.$$.fragment,ni),ss=p(ni),rt=i(ni,"P",{});var oi=a(rt);rs=r(oi,`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, the pipeline\u2019s
models have their state dicts saved to CPU and then are moved to a `),Tn=i(oi,"CODE",{});var ep=a(Tn);ls=r(ep,"torch.device('meta') and loaded to GPU only when their specific submodule has its "),ep.forEach(n),ps=r(oi,"forward` method called."),oi.forEach(n),ni.forEach(n),ds=p(x),S=i(x,"DIV",{class:!0});var z=a(S);u(lt.$$.fragment,z),cs=p(z),ie=i(z,"P",{});var Vt=a(ie);ms=r(Vt,"Add noise to the image embeddings. The amount of noise is controlled by a "),An=i(Vt,"CODE",{});var tp=a(An);fs=r(tp,"noise_level"),tp.forEach(n),gs=r(Vt,` input. A higher
`),Dn=i(Vt,"CODE",{});var np=a(Dn);us=r(np,"noise_level"),np.forEach(n),hs=r(Vt," increases the variance in the final un-noised images."),Vt.forEach(n),_s=p(z),jn=i(z,"P",{});var op=a(jn);bs=r(op,"The noise is applied in two ways"),op.forEach(n),vs=p(z),pt=i(z,"OL",{});var ii=a(pt);qn=i(ii,"LI",{});var ip=a(qn);Ps=r(ip,"A noise schedule is applied directly to the embeddings"),ip.forEach(n),Is=p(ii),On=i(ii,"LI",{});var ap=a(On);ys=r(ap,"A vector of sinusoidal time embeddings are appended to the output."),ap.forEach(n),ii.forEach(n),$s=p(z),dt=i(z,"P",{});var ai=a(dt);ws=r(ai,"In both cases, the amount of noise is controlled by the same "),zn=i(ai,"CODE",{});var sp=a(zn);Cs=r(sp,"noise_level"),sp.forEach(n),xs=r(ai,"."),ai.forEach(n),Ls=p(z),Nn=i(z,"P",{});var rp=a(Nn);Es=r(rp,"The embeddings are normalized before the noise is applied and un-normalized after the noise is applied."),rp.forEach(n),z.forEach(n),x.forEach(n),qo=p(t),ae=i(t,"H3",{class:!0});var si=a(ae);$e=i(si,"A",{id:!0,class:!0,href:!0});var lp=a($e);Mn=i(lp,"SPAN",{});var pp=a(Mn);u(ct.$$.fragment,pp),pp.forEach(n),lp.forEach(n),ks=p(si),Fn=i(si,"SPAN",{});var dp=a(Fn);Us=r(dp,"StableUnCLIPImg2ImgPipeline"),dp.forEach(n),si.forEach(n),Oo=p(t),w=i(t,"DIV",{class:!0});var L=a(w);u(mt.$$.fragment,L),Ss=p(L),Vn=i(L,"P",{});var cp=a(Vn);Ts=r(cp,"Pipeline for text-guided image to image generation using stable unCLIP."),cp.forEach(n),As=p(L),ft=i(L,"P",{});var ri=a(ft);Ds=r(ri,"This model inherits from "),zt=i(ri,"A",{href:!0});var mp=a(zt);js=r(mp,"DiffusionPipeline"),mp.forEach(n),qs=r(ri,`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),ri.forEach(n),Os=p(L),W=i(L,"DIV",{class:!0});var Gt=a(W);u(gt.$$.fragment,Gt),zs=p(Gt),Gn=i(Gt,"P",{});var fp=a(Gn);Ns=r(fp,"Function invoked when calling the pipeline for generation."),fp.forEach(n),Ms=p(Gt),u(we.$$.fragment,Gt),Gt.forEach(n),Fs=p(L),K=i(L,"DIV",{class:!0});var Wt=a(K);u(ut.$$.fragment,Wt),Vs=p(Wt),Wn=i(Wt,"P",{});var gp=a(Wn);Gs=r(gp,"Enable sliced attention computation."),gp.forEach(n),Ws=p(Wt),Kn=i(Wt,"P",{});var up=a(Kn);Ks=r(up,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),up.forEach(n),Wt.forEach(n),Bs=p(L),Ce=i(L,"DIV",{class:!0});var li=a(Ce);u(ht.$$.fragment,li),Hs=p(li),_t=i(li,"P",{});var pi=a(_t);Rs=r(pi,"Disable sliced attention computation. If "),Bn=i(pi,"CODE",{});var hp=a(Bn);Js=r(hp,"enable_attention_slicing"),hp.forEach(n),Qs=r(pi,` was previously invoked, this method will go
back to computing attention in one step.`),pi.forEach(n),li.forEach(n),Xs=p(L),B=i(L,"DIV",{class:!0});var Kt=a(B);u(bt.$$.fragment,Kt),Ys=p(Kt),Hn=i(Kt,"P",{});var _p=a(Hn);Zs=r(_p,"Enable sliced VAE decoding."),_p.forEach(n),er=p(Kt),Rn=i(Kt,"P",{});var bp=a(Rn);tr=r(bp,`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),bp.forEach(n),Kt.forEach(n),nr=p(L),xe=i(L,"DIV",{class:!0});var di=a(xe);u(vt.$$.fragment,di),or=p(di),Pt=i(di,"P",{});var ci=a(Pt);ir=r(ci,"Disable sliced VAE decoding. If "),Jn=i(ci,"CODE",{});var vp=a(Jn);ar=r(vp,"enable_vae_slicing"),vp.forEach(n),sr=r(ci,` was previously invoked, this method will go back to
computing decoding in one step.`),ci.forEach(n),di.forEach(n),rr=p(L),j=i(L,"DIV",{class:!0});var Q=a(j);u(It.$$.fragment,Q),lr=p(Q),Qn=i(Q,"P",{});var Pp=a(Qn);pr=r(Pp,"Enable memory efficient attention as implemented in xformers."),Pp.forEach(n),dr=p(Q),Xn=i(Q,"P",{});var Ip=a(Xn);cr=r(Ip,`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),Ip.forEach(n),mr=p(Q),Yn=i(Q,"P",{});var yp=a(Yn);fr=r(yp,`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),yp.forEach(n),gr=p(Q),u(Le.$$.fragment,Q),Q.forEach(n),ur=p(L),Ee=i(L,"DIV",{class:!0});var mi=a(Ee);u(yt.$$.fragment,mi),hr=p(mi),Zn=i(mi,"P",{});var $p=a(Zn);_r=r($p,"Disable memory efficient attention as implemented in xformers."),$p.forEach(n),mi.forEach(n),br=p(L),ke=i(L,"DIV",{class:!0});var fi=a(ke);u($t.$$.fragment,fi),vr=p(fi),O=i(fi,"P",{});var X=a(O);Pr=r(X,`Offloads all models to CPU using accelerate, reducing memory usage with a low impact on performance. Compared
to `),eo=i(X,"CODE",{});var wp=a(eo);Ir=r(wp,"enable_sequential_cpu_offload"),wp.forEach(n),yr=r(X,", this method moves one whole model at a time to the GPU when its "),to=i(X,"CODE",{});var Cp=a(to);$r=r(Cp,"forward"),Cp.forEach(n),wr=r(X,`
method is called, and the model remains in GPU until the next model runs. Memory savings are lower than with
`),no=i(X,"CODE",{});var xp=a(no);Cr=r(xp,"enable_sequential_cpu_offload"),xp.forEach(n),xr=r(X,", but performance is much better due to the iterative execution of the "),oo=i(X,"CODE",{});var Lp=a(oo);Lr=r(Lp,"unet"),Lp.forEach(n),Er=r(X,"."),X.forEach(n),fi.forEach(n),kr=p(L),Ue=i(L,"DIV",{class:!0});var gi=a(Ue);u(wt.$$.fragment,gi),Ur=p(gi),Ct=i(gi,"P",{});var ui=a(Ct);Sr=r(ui,`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, the pipeline\u2019s
models have their state dicts saved to CPU and then are moved to a `),io=i(ui,"CODE",{});var Ep=a(io);Tr=r(Ep,"torch.device('meta') and loaded to GPU only when their specific submodule has its "),Ep.forEach(n),Ar=r(ui,"forward` method called."),ui.forEach(n),gi.forEach(n),Dr=p(L),T=i(L,"DIV",{class:!0});var N=a(T);u(xt.$$.fragment,N),jr=p(N),se=i(N,"P",{});var Bt=a(se);qr=r(Bt,"Add noise to the image embeddings. The amount of noise is controlled by a "),ao=i(Bt,"CODE",{});var kp=a(ao);Or=r(kp,"noise_level"),kp.forEach(n),zr=r(Bt,` input. A higher
`),so=i(Bt,"CODE",{});var Up=a(so);Nr=r(Up,"noise_level"),Up.forEach(n),Mr=r(Bt," increases the variance in the final un-noised images."),Bt.forEach(n),Fr=p(N),ro=i(N,"P",{});var Sp=a(ro);Vr=r(Sp,"The noise is applied in two ways"),Sp.forEach(n),Gr=p(N),Lt=i(N,"OL",{});var hi=a(Lt);lo=i(hi,"LI",{});var Tp=a(lo);Wr=r(Tp,"A noise schedule is applied directly to the embeddings"),Tp.forEach(n),Kr=p(hi),po=i(hi,"LI",{});var Ap=a(po);Br=r(Ap,"A vector of sinusoidal time embeddings are appended to the output."),Ap.forEach(n),hi.forEach(n),Hr=p(N),Et=i(N,"P",{});var _i=a(Et);Rr=r(_i,"In both cases, the amount of noise is controlled by the same "),co=i(_i,"CODE",{});var Dp=a(co);Jr=r(Dp,"noise_level"),Dp.forEach(n),Qr=r(_i,"."),_i.forEach(n),Xr=p(N),mo=i(N,"P",{});var jp=a(mo);Yr=r(jp,"The embeddings are normalized before the noise is applied and un-normalized after the noise is applied."),jp.forEach(n),N.forEach(n),L.forEach(n),this.h()},h(){c(I,"name","hf:doc:metadata"),c(I,"content",JSON.stringify(Bp)),c(P,"id","stable-unclip"),c(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(P,"href","#stable-unclip"),c(C,"class","relative group"),c(Ut,"href","./stable_diffusion_2"),c(De,"href","https://arxiv.org/abs/2204.06125"),c(De,"rel","nofollow"),c(le,"id","tips"),c(le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(le,"href","#tips"),c(Y,"class","relative group"),c(pe,"id","available-checkpoints"),c(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(pe,"href","#available-checkpoints"),c(Z,"class","relative group"),c(ze,"href","https://hf.co/stabilityai/stable-diffusion-2-1-unclip"),c(ze,"rel","nofollow"),c(Ne,"href","https://hf.co/stabilityai/stable-diffusion-2-1-unclip-small"),c(Ne,"rel","nofollow"),c(ce,"id","texttoimage-generation"),c(ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ce,"href","#texttoimage-generation"),c(ee,"class","relative group"),c(me,"id","text-guided-imagetoimage-variation"),c(me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(me,"href","#text-guided-imagetoimage-variation"),c(te,"class","relative group"),c(ge,"id","memory-optimization"),c(ge,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ge,"href","#memory-optimization"),c(ne,"class","relative group"),c(ue,"id","diffusers.StableUnCLIPPipeline"),c(ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ue,"href","#diffusers.StableUnCLIPPipeline"),c(oe,"class","relative group"),c(Ot,"href","/docs/diffusers/pr_2873/en/api/diffusion_pipeline#diffusers.DiffusionPipeline"),c(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c($e,"id","diffusers.StableUnCLIPImg2ImgPipeline"),c($e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c($e,"href","#diffusers.StableUnCLIPImg2ImgPipeline"),c(ae,"class","relative group"),c(zt,"href","/docs/diffusers/pr_2873/en/api/diffusion_pipeline#diffusers.DiffusionPipeline"),c(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,m){e(document.head,I),f(t,U,m),f(t,C,m),e(C,P),e(P,E),h(d,E,null),e(C,y),e(C,Ht),e(Ht,Pi),f(t,ho,m),f(t,re,m),e(re,Ii),e(re,Ut),e(Ut,yi),e(re,$i),f(t,_o,m),f(t,St,m),e(St,wi),f(t,bo,m),f(t,Ae,m),e(Ae,De),e(De,Ci),e(Ae,xi),f(t,vo,m),f(t,Y,m),e(Y,le),e(le,Rt),h(je,Rt,null),e(Y,Li),e(Y,Jt),e(Jt,Ei),f(t,Po,m),f(t,A,m),e(A,ki),e(A,Qt),e(Qt,Ui),e(A,Si),e(A,Xt),e(Xt,Ti),e(A,Ai),e(A,Yt),e(Yt,Di),e(A,ji),e(A,Zt),e(Zt,qi),e(A,Oi),f(t,Io,m),f(t,Z,m),e(Z,pe),e(pe,en),h(qe,en,null),e(Z,zi),e(Z,tn),e(tn,Ni),f(t,yo,m),f(t,de,m),e(de,Tt),e(Tt,Mi),e(Tt,Oe),e(Oe,nn),e(nn,ze),e(ze,Fi),e(Oe,Vi),e(Oe,on),e(on,Ne),e(Ne,Gi),e(de,Wi),e(de,At),e(At,Ki),e(At,an),e(an,sn),e(sn,Bi),f(t,$o,m),f(t,ee,m),e(ee,ce),e(ce,rn),h(Me,rn,null),e(ee,Hi),e(ee,ln),e(ln,Ri),f(t,wo,m),f(t,Dt,m),e(Dt,Ji),f(t,Co,m),f(t,te,m),e(te,me),e(me,pn),h(Fe,pn,null),e(te,Qi),e(te,dn),e(dn,Xi),f(t,xo,m),h(Ve,t,m),f(t,Lo,m),f(t,fe,m),e(fe,Yi),e(fe,cn),e(cn,Zi),e(fe,ea),f(t,Eo,m),h(Ge,t,m),f(t,ko,m),f(t,ne,m),e(ne,ge),e(ge,mn),h(We,mn,null),e(ne,ta),e(ne,fn),e(fn,na),f(t,Uo,m),f(t,jt,m),e(jt,oa),f(t,So,m),h(Ke,t,m),f(t,To,m),f(t,qt,m),e(qt,ia),f(t,Ao,m),h(Be,t,m),f(t,Do,m),f(t,oe,m),e(oe,ue),e(ue,gn),h(He,gn,null),e(oe,aa),e(oe,un),e(un,sa),f(t,jo,m),f(t,$,m),h(Re,$,null),e($,ra),e($,hn),e(hn,la),e($,pa),e($,Je),e(Je,da),e(Je,Ot),e(Ot,ca),e(Je,ma),e($,fa),e($,F),h(Qe,F,null),e(F,ga),e(F,_n),e(_n,ua),e(F,ha),h(he,F,null),e($,_a),e($,V),h(Xe,V,null),e(V,ba),e(V,bn),e(bn,va),e(V,Pa),e(V,vn),e(vn,Ia),e($,ya),e($,_e),h(Ye,_e,null),e(_e,$a),e(_e,Ze),e(Ze,wa),e(Ze,Pn),e(Pn,Ca),e(Ze,xa),e($,La),e($,G),h(et,G,null),e(G,Ea),e(G,In),e(In,ka),e(G,Ua),e(G,yn),e(yn,Sa),e($,Ta),e($,be),h(tt,be,null),e(be,Aa),e(be,nt),e(nt,Da),e(nt,$n),e($n,ja),e(nt,qa),e($,Oa),e($,D),h(ot,D,null),e(D,za),e(D,wn),e(wn,Na),e(D,Ma),e(D,Cn),e(Cn,Fa),e(D,Va),e(D,xn),e(xn,Ga),e(D,Wa),h(ve,D,null),e($,Ka),e($,Pe),h(it,Pe,null),e(Pe,Ba),e(Pe,Ln),e(Ln,Ha),e($,Ra),e($,Ie),h(at,Ie,null),e(Ie,Ja),e(Ie,q),e(q,Qa),e(q,En),e(En,Xa),e(q,Ya),e(q,kn),e(kn,Za),e(q,es),e(q,Un),e(Un,ts),e(q,ns),e(q,Sn),e(Sn,os),e(q,is),e($,as),e($,ye),h(st,ye,null),e(ye,ss),e(ye,rt),e(rt,rs),e(rt,Tn),e(Tn,ls),e(rt,ps),e($,ds),e($,S),h(lt,S,null),e(S,cs),e(S,ie),e(ie,ms),e(ie,An),e(An,fs),e(ie,gs),e(ie,Dn),e(Dn,us),e(ie,hs),e(S,_s),e(S,jn),e(jn,bs),e(S,vs),e(S,pt),e(pt,qn),e(qn,Ps),e(pt,Is),e(pt,On),e(On,ys),e(S,$s),e(S,dt),e(dt,ws),e(dt,zn),e(zn,Cs),e(dt,xs),e(S,Ls),e(S,Nn),e(Nn,Es),f(t,qo,m),f(t,ae,m),e(ae,$e),e($e,Mn),h(ct,Mn,null),e(ae,ks),e(ae,Fn),e(Fn,Us),f(t,Oo,m),f(t,w,m),h(mt,w,null),e(w,Ss),e(w,Vn),e(Vn,Ts),e(w,As),e(w,ft),e(ft,Ds),e(ft,zt),e(zt,js),e(ft,qs),e(w,Os),e(w,W),h(gt,W,null),e(W,zs),e(W,Gn),e(Gn,Ns),e(W,Ms),h(we,W,null),e(w,Fs),e(w,K),h(ut,K,null),e(K,Vs),e(K,Wn),e(Wn,Gs),e(K,Ws),e(K,Kn),e(Kn,Ks),e(w,Bs),e(w,Ce),h(ht,Ce,null),e(Ce,Hs),e(Ce,_t),e(_t,Rs),e(_t,Bn),e(Bn,Js),e(_t,Qs),e(w,Xs),e(w,B),h(bt,B,null),e(B,Ys),e(B,Hn),e(Hn,Zs),e(B,er),e(B,Rn),e(Rn,tr),e(w,nr),e(w,xe),h(vt,xe,null),e(xe,or),e(xe,Pt),e(Pt,ir),e(Pt,Jn),e(Jn,ar),e(Pt,sr),e(w,rr),e(w,j),h(It,j,null),e(j,lr),e(j,Qn),e(Qn,pr),e(j,dr),e(j,Xn),e(Xn,cr),e(j,mr),e(j,Yn),e(Yn,fr),e(j,gr),h(Le,j,null),e(w,ur),e(w,Ee),h(yt,Ee,null),e(Ee,hr),e(Ee,Zn),e(Zn,_r),e(w,br),e(w,ke),h($t,ke,null),e(ke,vr),e(ke,O),e(O,Pr),e(O,eo),e(eo,Ir),e(O,yr),e(O,to),e(to,$r),e(O,wr),e(O,no),e(no,Cr),e(O,xr),e(O,oo),e(oo,Lr),e(O,Er),e(w,kr),e(w,Ue),h(wt,Ue,null),e(Ue,Ur),e(Ue,Ct),e(Ct,Sr),e(Ct,io),e(io,Tr),e(Ct,Ar),e(w,Dr),e(w,T),h(xt,T,null),e(T,jr),e(T,se),e(se,qr),e(se,ao),e(ao,Or),e(se,zr),e(se,so),e(so,Nr),e(se,Mr),e(T,Fr),e(T,ro),e(ro,Vr),e(T,Gr),e(T,Lt),e(Lt,lo),e(lo,Wr),e(Lt,Kr),e(Lt,po),e(po,Br),e(T,Hr),e(T,Et),e(Et,Rr),e(Et,co),e(co,Jr),e(Et,Qr),e(T,Xr),e(T,mo),e(mo,Yr),zo=!0},p(t,[m]){const kt={};m&2&&(kt.$$scope={dirty:m,ctx:t}),he.$set(kt);const fo={};m&2&&(fo.$$scope={dirty:m,ctx:t}),ve.$set(fo);const go={};m&2&&(go.$$scope={dirty:m,ctx:t}),we.$set(go);const uo={};m&2&&(uo.$$scope={dirty:m,ctx:t}),Le.$set(uo)},i(t){zo||(_(d.$$.fragment,t),_(je.$$.fragment,t),_(qe.$$.fragment,t),_(Me.$$.fragment,t),_(Fe.$$.fragment,t),_(Ve.$$.fragment,t),_(Ge.$$.fragment,t),_(We.$$.fragment,t),_(Ke.$$.fragment,t),_(Be.$$.fragment,t),_(He.$$.fragment,t),_(Re.$$.fragment,t),_(Qe.$$.fragment,t),_(he.$$.fragment,t),_(Xe.$$.fragment,t),_(Ye.$$.fragment,t),_(et.$$.fragment,t),_(tt.$$.fragment,t),_(ot.$$.fragment,t),_(ve.$$.fragment,t),_(it.$$.fragment,t),_(at.$$.fragment,t),_(st.$$.fragment,t),_(lt.$$.fragment,t),_(ct.$$.fragment,t),_(mt.$$.fragment,t),_(gt.$$.fragment,t),_(we.$$.fragment,t),_(ut.$$.fragment,t),_(ht.$$.fragment,t),_(bt.$$.fragment,t),_(vt.$$.fragment,t),_(It.$$.fragment,t),_(Le.$$.fragment,t),_(yt.$$.fragment,t),_($t.$$.fragment,t),_(wt.$$.fragment,t),_(xt.$$.fragment,t),zo=!0)},o(t){b(d.$$.fragment,t),b(je.$$.fragment,t),b(qe.$$.fragment,t),b(Me.$$.fragment,t),b(Fe.$$.fragment,t),b(Ve.$$.fragment,t),b(Ge.$$.fragment,t),b(We.$$.fragment,t),b(Ke.$$.fragment,t),b(Be.$$.fragment,t),b(He.$$.fragment,t),b(Re.$$.fragment,t),b(Qe.$$.fragment,t),b(he.$$.fragment,t),b(Xe.$$.fragment,t),b(Ye.$$.fragment,t),b(et.$$.fragment,t),b(tt.$$.fragment,t),b(ot.$$.fragment,t),b(ve.$$.fragment,t),b(it.$$.fragment,t),b(at.$$.fragment,t),b(st.$$.fragment,t),b(lt.$$.fragment,t),b(ct.$$.fragment,t),b(mt.$$.fragment,t),b(gt.$$.fragment,t),b(we.$$.fragment,t),b(ut.$$.fragment,t),b(ht.$$.fragment,t),b(bt.$$.fragment,t),b(vt.$$.fragment,t),b(It.$$.fragment,t),b(Le.$$.fragment,t),b(yt.$$.fragment,t),b($t.$$.fragment,t),b(wt.$$.fragment,t),b(xt.$$.fragment,t),zo=!1},d(t){n(I),t&&n(U),t&&n(C),v(d),t&&n(ho),t&&n(re),t&&n(_o),t&&n(St),t&&n(bo),t&&n(Ae),t&&n(vo),t&&n(Y),v(je),t&&n(Po),t&&n(A),t&&n(Io),t&&n(Z),v(qe),t&&n(yo),t&&n(de),t&&n($o),t&&n(ee),v(Me),t&&n(wo),t&&n(Dt),t&&n(Co),t&&n(te),v(Fe),t&&n(xo),v(Ve,t),t&&n(Lo),t&&n(fe),t&&n(Eo),v(Ge,t),t&&n(ko),t&&n(ne),v(We),t&&n(Uo),t&&n(jt),t&&n(So),v(Ke,t),t&&n(To),t&&n(qt),t&&n(Ao),v(Be,t),t&&n(Do),t&&n(oe),v(He),t&&n(jo),t&&n($),v(Re),v(Qe),v(he),v(Xe),v(Ye),v(et),v(tt),v(ot),v(ve),v(it),v(at),v(st),v(lt),t&&n(qo),t&&n(ae),v(ct),t&&n(Oo),t&&n(w),v(mt),v(gt),v(we),v(ut),v(ht),v(bt),v(vt),v(It),v(Le),v(yt),v($t),v(wt),v(xt)}}}const Bp={local:"stable-unclip",sections:[{local:"tips",sections:[{local:"available-checkpoints",title:"Available checkpoints:"},{local:"texttoimage-generation",title:"Text-to-Image Generation"},{local:"text-guided-imagetoimage-variation",title:"Text guided Image-to-Image Variation"},{local:"memory-optimization",title:"Memory optimization"},{local:"diffusers.StableUnCLIPPipeline",title:"StableUnCLIPPipeline"},{local:"diffusers.StableUnCLIPImg2ImgPipeline",title:"StableUnCLIPImg2ImgPipeline"}],title:"Tips"}],title:"Stable unCLIP"};function Hp(M){return Mp(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Zp extends qp{constructor(I){super();Op(this,I,Hp,Kp,zp,{})}}export{Zp as default,Bp as metadata};
